Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.todo
Class ToDoProperty

    java.lang.Object
      |
      +--com.compoze.todo.ToDoProperty

All Implemented Interfaces:
  com.compoze.common.IProperty, java.io.Serializable

public class ToDoProperty
extends java.lang.Object
implements com.compoze.common.IProperty, java.io.Serializable

This class stores the values for the `ToDo` property tags. Unless you are working with property name, for example if you're working with sorting, you do not need to worry about these constants as their use is mostly abstracted away from the programmer.

The internationalizable string values are stored in the `todo_resources.properties` file (accessed through `ToDoResources`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static ToDoProperty` | `BILLING_INFORMATION` This value represents the to do property 'billing information'.
`static ToDoProperty` | `CATEGORY` This value represents the to do property 'category'.
`static ToDoProperty` | `COMPLETE_DATE` This value represents the to do property 'complete date'.
`static ToDoProperty` | `CUSTOM_NUM1` This value represents the to do property 'custom num 1'.
`static ToDoProperty` | `CUSTOM_NUM2` This value represents the to do property 'custom num 2'.
`static ToDoProperty` | `CUSTOM_NUM3` This value represents the to do property 'custom num 3'.
`static ToDoProperty` | `CUSTOM_NUM4` This value represents the to do property 'custom num 4'.
`static ToDoProperty` | `CUSTOM_STR1` This value represents the to do property 'custom str 1'.
`static ToDoProperty` | `CUSTOM_STR2` This value represents the to do property 'custom str 2'.
`static ToDoProperty` | `CUSTOM_STR3` This value represents the to do property 'custom str 3'.
`static ToDoProperty` | `CUSTOM_STR4` This value represents the to do property 'custom str 4'.
`static ToDoProperty` | `DATE_CREATED` This value represents the to do property 'date created'.
`static ToDoProperty` | `DATE_LAST_MODIFIED` This value represents the to do property 'date last modified'.
`static ToDoProperty` | `DATE_RECURRENCE` This value represents the to do property 'date recurrence'.
`static ToDoProperty` | `DESCRIPTION` This value represents the to do property 'description'.
`static ToDoProperty` | `DUE_DATE` This value represents the to do property 'due date'.
`static ToDoProperty` | `FLAG` This value represents the to do property 'flag'.
`static ToDoProperty` | `LOCATION` This value represents the to do property 'location'.
`static ToDoProperty` | `MILEAGE` This value represents the to do property 'mileage'.
`static ToDoProperty` | `ORGANIZER` This value represents the to do property 'organizer'.
`static ToDoProperty` | `PERCENT` This value represents the to do property 'percent'.
`static ToDoProperty` | `PRIORITY` This value represents the to do property 'priority'.
`static java.util.List` | `s_properties` An array containing all of the fixed to do properties.
`static ToDoProperty` | `START_DATE` This value represents the to do property 'start date'.
`static ToDoProperty` | `STATUS` This value represents the to do property 'status'.
`static ToDoProperty` | `SUMMARY` This value represents the to do property 'summary'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static ToDoProperty` | `get(java.lang.String sName)` Gets the property by the name in the system default locale.
`static java.util.List` | `getList()` Gets the list of properties.
`java.lang.String` | `getName()` Gets the name of the property using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the property using the specified locale.
`java.lang.String` | `getStoreValue()` Gets the value that's used to store the property in the storage system.
`static void` | `main(java.lang.String[] args)` Exerciser.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### s_properties

    public static java.util.List s_properties

  An array containing all of the fixed to do properties.

### DATE_RECURRENCE

    public static final ToDoProperty DATE_RECURRENCE

  This value represents the to do property 'date recurrence'.

### BILLING_INFORMATION

    public static final ToDoProperty BILLING_INFORMATION

  This value represents the to do property 'billing information'.

### MILEAGE

    public static final ToDoProperty MILEAGE

  This value represents the to do property 'mileage'.

### SUMMARY

    public static final ToDoProperty SUMMARY

  This value represents the to do property 'summary'.

### CATEGORY

    public static final ToDoProperty CATEGORY

  This value represents the to do property 'category'.

### ORGANIZER

    public static final ToDoProperty ORGANIZER

  This value represents the to do property 'organizer'.

### DESCRIPTION

    public static final ToDoProperty DESCRIPTION

  This value represents the to do property 'description'.

### LOCATION

    public static final ToDoProperty LOCATION

  This value represents the to do property 'location'.

### STATUS

    public static final ToDoProperty STATUS

  This value represents the to do property 'status'.

### FLAG

    public static final ToDoProperty FLAG

  This value represents the to do property 'flag'.

### PRIORITY

    public static final ToDoProperty PRIORITY

  This value represents the to do property 'priority'.

### PERCENT

    public static final ToDoProperty PERCENT

  This value represents the to do property 'percent'.

### START_DATE

    public static final ToDoProperty START_DATE

  This value represents the to do property 'start date'.

### DUE_DATE

    public static final ToDoProperty DUE_DATE

  This value represents the to do property 'due date'.

### COMPLETE_DATE

    public static final ToDoProperty COMPLETE_DATE

  This value represents the to do property 'complete date'.

### DATE_CREATED

    public static final ToDoProperty DATE_CREATED

  This value represents the to do property 'date created'.

### DATE_LAST_MODIFIED

    public static final ToDoProperty DATE_LAST_MODIFIED

  This value represents the to do property 'date last modified'.

### CUSTOM_NUM1

    public static final ToDoProperty CUSTOM_NUM1

  This value represents the to do property 'custom num 1'.

### CUSTOM_NUM2

    public static final ToDoProperty CUSTOM_NUM2

  This value represents the to do property 'custom num 2'.

### CUSTOM_NUM3

    public static final ToDoProperty CUSTOM_NUM3

  This value represents the to do property 'custom num 3'.

### CUSTOM_NUM4

    public static final ToDoProperty CUSTOM_NUM4

  This value represents the to do property 'custom num 4'.

### CUSTOM_STR1

    public static final ToDoProperty CUSTOM_STR1

  This value represents the to do property 'custom str 1'.

### CUSTOM_STR2

    public static final ToDoProperty CUSTOM_STR2

  This value represents the to do property 'custom str 2'.

### CUSTOM_STR3

    public static final ToDoProperty CUSTOM_STR3

  This value represents the to do property 'custom str 3'.

### CUSTOM_STR4

    public static final ToDoProperty CUSTOM_STR4

  This value represents the to do property 'custom str 4'.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the property using the system default locale.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the property using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public java.lang.String getStoreValue()

  Gets the value that's used to store the property in the storage system.
  Returns:
    the store value

### get

    public static ToDoProperty get(java.lang.String sName)

  Gets the property by the name in the system default locale.
  Parameters:
    `sName` - the name in the system default locale
  Returns:
    the matching property or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of properties.
  Returns:
    the list of `ToDoProperty` (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

### main

    public static void main(java.lang.String[] args)

  Exerciser.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.